"""
############################################################################
## lunaticus.py
## 
## Run this to start the game
## Nothing interesting happens here. See main_scene.py for the real main file
############################################################################
"""
from    Opioid2D        import *
from    global_options  import game_options
from    main_scene      import MainScene

# Initlize the Display
Display.init(   (game_options.win_width,game_options.win_height), 
                title="Lunaticus")
# Preload game graphics
ResourceManager.preload_images(game_options.gfx_path + "*.png")
ResourceManager.preload_images(game_options.gfx_units_path + "*.png")
# Run the game
fps = Director.run(MainScene)
# Report the Frame-per-Second
print "fps = %.2f" %(fps)